> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# mrmrs

> GenericMDOProvider reads MDO lists with default settings

## "mrmrs" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'mrmrs'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/mrmrs
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("mrmrs", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 3  | Fru  |           |           |
| 4  | Herr |           |           |
| 1  | Mr.  |           |           |
| 2  | Mrs. |           |           |

## Related MDO Lists

* "mrmrsheadings"
* "mrmrsheadingswithallitem"
* "mrmrsheadingswithallitemwithnoselection"
* "mrmrsheadingswithnoselection"
* "mrmrswithallitem"
* "mrmrswithallitemwithnoselection"
* "mrmrswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.SaleStakeholder](/en/api/reference/webapi/SuperOffice.WebApi.Data.SaleStakeholder.md)
- [SuperOffice.WebApi.Data.CallerID](/en/api/reference/webapi/SuperOffice.WebApi.Data.CallerID.md)
- [SuperOffice.WebApi.Data.Person](/en/api/reference/webapi/SuperOffice.WebApi.Data.Person.md)
- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [SuperOffice.WebApi.Data.ProjectMember](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectMember.md)
- [MrMrs table](/en/database/tables/mrmrs.md)
